TOPCAT(1)

NAME
topcat - Tool for OPerations on Catalogues And Tables

SYNOPSIS
topcat <flags> [[-f <format>] <table> ...]

DESCRIPTION
TOPCAT is an interactive graphical viewer and editor for tabular data. Its aim is to provide most of the facilities that astronomers need for analysis and manipulation of source catalogues and other tables, though it can be used for non-astronomical data as well. It understands a number of different astronomically important formats (including FITS and VOTable) and more formats can be added.

OPTIONS

-f <format>
    File format. Auto-detected formats: fits-plus, colfits-plus, colfits-basic, fits, votable

    All known formats: fits-plus, colfits-plus, colfits-basic, fits, votable, ascii, csv, tst, ipac, wdc

-verbose
    Increase verbosity of reports to console

-debug
    Add debugging information to console log messages

-demo
    Start with demo data

-running
    Use existing TOPCAT instance if one is running

-memory
    Use memory storage for tables

-disk
    Use disk backing store for large tables

-samp
    Use SAMP for tool interoperability

-[no]hub
    [don't] run internal SAMP hub

-exthub
    Run external SAMP hub

-noserv
    Don't run any services (SAMP)

-help
    Print help message and exit

-version
    Print component versions etc and exit

-stilts <args>
    Run STILTS, not TOPCAT

-jsamp <args>
    Run JSAMP not TOPCAT

    Useful Java flags:

-classpath jar1:jar2..
    Specify additional classes

-XmxnnnM
    use nnn megabytes of memory

-Dname=value
    Set system property

Properties
Useful system properties (-Dname=value - lists are colon-separated):

java.io.tmpdir
    temporary filespace directory

jdbc.drivers
    JDBC driver classes

jel.classes
    custom algebraic function classes

jel.classes.activation
    custom action function classes

star.connectors
    custom remote filestore classes

startable.load.dialogs
    custom load dialogue classes

startable.readers
    custom table input handlers

startable.writers
    custom table output handlers

startable.storage
    storage policy

mark.workaround
    work around mark/reset bug (see topcat -jsamp -help for more)

VERSION
This is the Debian version of topcat. See /usr/share/doc/topcat/README.Debian for differences.

AUTHOR
Mark Taylor (Bristol University)

SEE ALSO
WWW: http://www.starlink.ac.uk/topcat/